﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Us.Mil.Osd.Acq.Damir.Test.Expressions
{
	
	public class ColumnProjection
	{
		public ColumnProjection(string alias, IEnumerable<string> columns) {
			this.Columns = columns.ToArray();
			this.Alias = alias;
	
		}
		
		/// <summary>
		/// Not every column projection will have an associated LambdaExpression, but
		/// we always need to have some alias for its associated subquery, 
		/// which is why a generic string property is used.
		/// </summary>
		public string Alias { get; private set; }

		public string[] Columns { get; private set; }
	}
}
