﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Linq.Expressions;
using System.Reflection;

namespace Test.Expressions
{
	
	/// <summary>
	/// primarily expected to be used for LINQ any
	/// </summary>
	public class ExistsExpression : DbExpression
	{
		public ExistsExpression(SubqueryExpression from)
			: base(nodeType: DbExpressionType.Exists, type: typeof(Boolean)) {
			this.SubqueryExpression = from;
		}
		public SubqueryExpression SubqueryExpression { get; private set; }		
	}
}
