using System;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using System.Collections.Generic;

	

namespace Northwind
{	
	 public partial class Product 
 
	{		public System.Nullable<System.Int32> ID { get; set; }	
				
				
			public System.String Name { get; set; }	
				
			public System.Nullable<System.Int32> SupplierID { get; set; }	
			public System.Nullable<System.Int32> CategoryID { get; set; }	
			public System.String QuantityPerUnit { get; set; }	
			public System.Nullable<System.Decimal> UnitPrice { get; set; }	
			public System.Nullable<System.Int16> UnitsInStock { get; set; }	
			public System.Nullable<System.Int16> UnitsOnOrder { get; set; }	
			public System.Nullable<System.Int16> ReorderLevel { get; set; }	
			public System.Nullable<System.Boolean> Discontinued { get; set; }	
			public Byte[] RowTimeStamps { get; set; }	
			public Northwind.Supplier Supplier { get; set; }	
		
	}
}
	
namespace Northwind
{
	
	public partial class Customer 
 
 
	{		public System.Nullable<System.Int32> ID { get; set; }	
			public System.String Code { get; set; }	
			public System.String Name { get; set; }	
				
				
				
			public System.String ContactName { get; set; }	
			public System.String ContactTitle { get; set; }	
			public System.String Address { get; set; }	
			public System.String City { get; set; }	
			public System.String Region { get; set; }	
			public System.String PostalCode { get; set; }	
			public System.String Country { get; set; }	
			public System.String Phone { get; set; }	
			public System.String Fax { get; set; }	
			public Byte[] RowTimeStamps { get; set; }	
			public System.Collections.Generic.List<Northwind.Order> Orders { get; set; }	
		
	}
}
	
namespace Northwind
{
	
	public partial class Shipper
 
 
	{		public System.Nullable<System.Int32> ID { get; set; }	
			public System.String Name { get; set; }	
				
				
			public System.String Phone { get; set; }	
			public Byte[] RowTimeStamps { get; set; }	
			public System.Collections.Generic.List<Northwind.Order> Orders { get; set; }	
		
	}
}
	
namespace Northwind
{
	
	public partial class Supplier 
  
	{		public System.Nullable<System.Int32> ID { get; set; }	
			public System.String Name { get; set; }									
			public System.String ContactName { get; set; }	
			public System.String ContactTitle { get; set; }	
			public System.String Address { get; set; }	
			public System.String City { get; set; }	
			public System.String Region { get; set; }	
			public System.String PostalCode { get; set; }	
			public System.String Country { get; set; }	
			public System.String Phone { get; set; }	
			public System.String Fax { get; set; }	
			public System.String HomePage { get; set; }	
			public Byte[] RowTimeStamps { get; set; }			
		
	}
}
	
namespace Northwind
{	
	 public partial class Category 
 
	{		public System.Nullable<System.Int32> ID { get; set; }	
			public System.String Name { get; set; }	
			public System.String Description { get; set; }	
			public Byte[] Pictures { get; set; }	
			public Byte[] RowTimeStamps { get; set; }		
		
	}
}
	
namespace Northwind
{	
	 public partial class Employee 
 
	{		public System.Int32 ID { get; set; }	
			public System.String LastName { get; set; }	
			public System.String FirstName { get; set; }	
			public System.String Title { get; set; }	
			public System.String TitleOfCourtesy { get; set; }	
			public System.Nullable<System.DateTime> BirthDate { get; set; }	
			public System.Nullable<System.DateTime> HireDate { get; set; }	
			public System.String Address { get; set; }	
			public System.String City { get; set; }	
			public System.String Region { get; set; }	
			public System.String PostalCode { get; set; }	
			public System.String Country { get; set; }	
			public System.String HomePhone { get; set; }	
			public System.String Extension { get; set; }	
			public System.String Photo { get; set; }	
			public System.String Notes { get; set; }				
		
	}
}
	
namespace Northwind
{	
	 public partial class Order
 
	{		public System.Int32 ID { get; set; }	
			public System.Nullable<System.Int32> CustomerId { get; set; }	
			public System.Nullable<System.Int32> EmployeeID { get; set; }	
			public System.Nullable<System.DateTime> OrderDate { get; set; }	
			public System.Nullable<System.DateTime> RequiredDate { get; set; }	
			public System.Nullable<System.DateTime> ShippedDate { get; set; }	
			public System.Nullable<System.Int32> ShipperId { get; set; }	
			public System.Nullable<System.Decimal> Freight { get; set; }	
			public System.String ShipName { get; set; }	
			public System.String ShipAddress { get; set; }	
			public System.String ShipCity { get; set; }	
			public System.String ShipRegion { get; set; }	
			public System.String ShipPostalCode { get; set; }	
			public System.String ShipCountry { get; set; }	
			public Byte[] RowTimeStamp { get; set; }				
		
	}
}
